Module javafx.media
Package javafx.scene.media

# Class AudioTrack

java.lang.Object
javafx.scene.media.Track
javafx.scene.media.AudioTrack

public final class AudioTrack extends Track
A `Track` that describes an audio track. An audio track may for example be the unique track in a piece of digital music or one of several tracks in an audiovisual media resource.

Since:
  JavaFX 2.0

## Method Summary

Modifier and Type
Method
Description
`final String`
`getLanguage()`
Deprecated.
Use `Track.getLocale()` instead.

### Methods inherited from class javafx.scene.media.Track

`getLocale, getMetadata, getName, getTrackID, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getLanguage

@Deprecated public final String getLanguage()
Deprecated.
Use `Track.getLocale()` instead.
Retrieves the language of the audio track. The IANA language code might be for example "en" for English or "ru" for Russian. The list of all registered IANA language codes is available in the IANA Language Subtag Registry.

Returns:
  the IANA language code or `null`.